# encoding: utf-8

# File:	include/novell-imanager/helps.ycp
# Package:	Configuration of imanager
# Summary:	Help texts of all the dialogs
# Authors:	Mark Clark <mclark@novell.com>
#
# $Id: helps.ycp,v 1.1.2.5 2005/01/03 17:09:10 sbunch Exp $
module Yast
  module NovellImanagerHelpsInclude
    def initialize_novell_imanager_helps(include_target)
      textdomain "novell-imanager"

      # All helps are here
      @HELPS = {
        # Read dialog help 1/2
        "read"  => _(
          "<p><b><big>Initializing iManager Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ) +
          # Read dialog help 2/2
          _(
            "<p><b><big>Aborting Initialization:</big></b><br>\nSafely stop the configuration utility by clicking <b>Abort</b> now.</p>\n"
          ),
        # Write dialog help 1/2
        "write" => _(
          "<p><b><big>Saving iManager Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ) +
          # Write dialog help 2/2
          _(
            "<p><b><big>Aborting Saving:</big></b><br>\n" +
              "Stop the save procedure by clicking <b>Abort</b>.\n" +
              "This opens an additional dialog that indicates whether it is safe to do so.\n" +
              "</p>\n"
          ),
        # Configure1 dialog help 1/3
        "c1"    => _(
          "<p><b><big>eDirectory Tree</big></b><br>\nShows the name of a valid eDirectory tree that you specified when configuring eDirectory. To change this configuration, you must change the eDirectory configuration.</p>\n"
        ) +
          # Configure1 dialog help 2/3
          _(
            "<p><b><big>FDN Admin Name with Context</big></b><br>\nShows the eDirectory Admin name and context that you specified when configuring eDirectory. This is the user that has full administrative rights to perform operations in iManager.</p>\n"
          ) +
          # Configure1 dialog help 3/3
          _(
            "<p><b><big>Don't install plugins now.</big></b><br>\nSkip the installation of iManager plugins. The plugins can be installed later from within iManager.</p>\n"
          )
      } 

      # EOF
    end
  end
end
